## org.freedesktop.NetworkManager.Device.WireGuard

org.freedesktop.NetworkManager.Device.WireGuard — WireGuard Device.

## Properties

    PublicKey   readable   ay
    ListenPort  readable   q
    FwMark      readable   u

## Description

## Property Details

### The "PublicKey" property

    PublicKey  readable   ay

32-byte public WireGuard key.

### The "ListenPort" property

    ListenPort  readable   q

Local UDP listening port.

### The "FwMark" property

    FwMark  readable   u

Optional 32-bit mark used to set routing policy for outgoing encrypted packets. See: ip-rule(8)